# std::add_rvalue_reference< _Tp > Struct Template Reference
[Type Traits]

add_rvalue_reference More...

Inherits std::__add_rvalue_reference_helper< _Tp >.

List of all members.

## Public Types

- typedef _Tp type

## Detailed Description

### template<typename _Tp>
struct std::add_rvalue_reference< _Tp >

add_rvalue_reference

Definition at line 140 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits